WmsRequestConverter (Gis Viewer App 1.1.0-3.6.0 API)
Date: 2015-03-02

org.gcube.portlets.user.gisviewerapp.client

## Class WmsRequestConverter

- java.lang.Object
- - org.gcube.portlets.user.gisviewerapp.client.WmsRequestConverter

-     public class WmsRequestConverter
      extends Object

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WmsRequestConverter(org.gcube.portlets.user.gisviewer.client.GisViewerPanel gisViewerPanel)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRequestToGisViewer()`
    `String` | `getLayerName()`
    `org.gcube.portlets.user.gisviewer.client.GisViewerPanel.LayerType` | `getLayerType()`
    `ArrayList<String>` | `getListStyles()`
    `ArrayList<String>` | `getStyles()`
    `String` | `getTitle()`
    `String` | `getUrl()`
    `boolean` | `isBase()`
    `boolean` | `isDisplayInLayerSwitcher()`
    `boolean` | `isExternal()`
    `boolean` | `isOnTop()`
    `void` | `parseRequest(String wmsRequest, String displayName)`
    `void` | `setBase(boolean isBase)`
    `void` | `setDisplayInLayerSwitcher(boolean displayInLayerSwitcher)`
    `void` | `setExternal(boolean isExternal)`
    `void` | `setLayerName(String layerName)`
    `void` | `setLayerType(org.gcube.portlets.user.gisviewer.client.GisViewerPanel.LayerType layerType)`
    `void` | `setListStyles(ArrayList<String> listStyles)`
    `void` | `setOnTop(boolean onTop)`
    `void` | `setStyles(ArrayList<String> styles)`
    `void` | `setTitle(String title)`
    `void` | `setUrl(String url)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WmsRequestConverter

          public WmsRequestConverter(org.gcube.portlets.user.gisviewer.client.GisViewerPanel gisViewerPanel)

  - ### Method Detail

    - #### parseRequest

          public void parseRequest(String wmsRequest,
                          String displayName)
                            throws Exception

      Throws:
        `Exception`

    - #### addRequestToGisViewer

          public void addRequestToGisViewer()

    - #### getLayerType

          public org.gcube.portlets.user.gisviewer.client.GisViewerPanel.LayerType getLayerType()

    - #### getTitle

          public String getTitle()

    - #### getLayerName

          public String getLayerName()

    - #### getUrl

          public String getUrl()

    - #### isExternal

          public boolean isExternal()

    - #### isBase

          public boolean isBase()

    - #### isDisplayInLayerSwitcher

          public boolean isDisplayInLayerSwitcher()

    - #### getStyles

          public ArrayList<String> getStyles()

    - #### isOnTop

          public boolean isOnTop()

    - #### getListStyles

          public ArrayList<String> getListStyles()

    - #### setLayerType

          public void setLayerType(org.gcube.portlets.user.gisviewer.client.GisViewerPanel.LayerType layerType)

    - #### setTitle

          public void setTitle(String title)

    - #### setLayerName

          public void setLayerName(String layerName)

    - #### setUrl

          public void setUrl(String url)

    - #### setExternal

          public void setExternal(boolean isExternal)

    - #### setBase

          public void setBase(boolean isBase)

    - #### setDisplayInLayerSwitcher

          public void setDisplayInLayerSwitcher(boolean displayInLayerSwitcher)

    - #### setStyles

          public void setStyles(ArrayList<String> styles)

    - #### setOnTop

          public void setOnTop(boolean onTop)

    - #### setListStyles

          public void setListStyles(ArrayList<String> listStyles)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015. All Rights Reserved.